%define aurox_ver 11.1
%define rel 2

Summary: ALCATEL SpeedTouch USB ADSL modem user-space driver
Name: speedtouch
Version: 1.3.1
Release: %{aurox_ver}.aur.%{rel}
Source: http://speedtouch.sf.net/speedtouch-%{version}.tar.bz2
Source1: speedtouch-pppoa.in
Source2: hotplug
Source3: speedtouch_install
Patch1:  speedtouch-1.3.1.gcc4.patch
Patch2:  speedtouch-1.3.1-mutex.patch
URL: http://speedtouch.sf.net
License: GPL
Group: System Environment/Kernel
Prefix: %{_prefix}
BuildRoot: %{_builddir}/%{name}-build
Requires: ppp, hotplug, unzip, pciutils
Requires: system-config-adsl

%description
ALCATEL SpeedTouch USB ADSL modem user-space driver. This package contains 
all the necessary software to use your SpeedTouch USB modem under Linux. It
currently support only PPPoA encapsulation.

This package has been modified to work with Aurox's system-config-adsl.

%prep
%setup
%patch1 -p1
%patch2 -p1

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -f $RPM_BUILD_ROOT/%{_bindir}/speedtouch-*
rm -f $RPM_BUILD_ROOT/%{_sbindir}/pppoa2
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/pppoa2.8

rm -rf $RPM_BUILD_ROOT/%{_mandir}/man1
rm -rf $RPM_BUILD_ROOT/%{_sysconfdir}
rm -rf $RPM_BUILD_ROOT/%{_datadir}/speedtouch

install -m644 -D %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/system-config-adsl/%{name}/speedtouch-pppoa.in
install -m755 -D %{SOURCE2} $RPM_BUILD_ROOT/%{_datadir}/system-config-adsl/%{name}/hotplug
install -m755 -D %{SOURCE3} $RPM_BUILD_ROOT/%{_datadir}/system-config-adsl/speedtouch_install
install -m755 -D %{SOURCE2} $RPM_BUILD_ROOT/%{_sysconfdir}/hotplug.d/default/speedtouch.hotplug

%clean
rm -rf $RPM_BUILD_ROOT

%post
if ! grep -q '^speedtch' /etc/hotplug/blacklist; then 
  echo "speedtch" >> /etc/hotplug/blacklist
fi

%postun
if grep -q '^speedtch' /etc/hotplug/blacklist; then
  grep -v '^speedtch' < /etc/hotplug/blacklist > /etc/hotplug/blacklist.tmp
  mv /etc/hotplug/blacklist.tmp /etc/hotplug/blacklist
fi

%files
%defattr(-,root,root)
%{_sbindir}/modem_run
%{_sbindir}/pppoa3
%{_datadir}/system-config-adsl/speedtouch_install
%{_datadir}/system-config-adsl/%{name}/*
%{_sysconfdir}/hotplug.d/default/speedtouch.hotplug
%doc %{_datadir}/doc/speedtouch/
%doc %{_mandir}/man8/modem_run.8*
%doc %{_mandir}/man8/pppoa3.8*

%changelog
* Thu Feb 09 2006 Rafal Kwasny <rkwasny@aurox.org> 1.3.1-11.1.aur.2
- new hotplug script

* Thu Feb 02 2006 Karol Kozimor <kkozimor@aurox.org> 1.3.1-11.1.aur.1
- try to fix the mutex leakage

* Tue Aug 09 2005 Rafal Kwasny <rkwasny@aurox.org> 1.3.1-11.0.aur.1
- rebuild

* Wed Apr 27 2005 Aurox Team <aurox@aurox.org>
- Initial release, trimmed original spec a bit.
